6.0.0-git
2021-01-18

[#1846] "Personal Information" options screen pathological behavior
Summary "Personal Information" options screen pathological behavior
Queue Horde Base
Queue Version 3.0.4
Type Bug
State Resolved
Priority 1. Low
Owners
Requester ekendall (at) brandeis (dot) edu
Created 2005-04-21 (5751 days ago)
Due
Updated 2005-06-17 (5694 days ago)
Assigned 2005-05-30 (5712 days ago)
Resolved 2005-06-17 (5694 days ago)
Milestone
Patch No

History
2005-06-17 05:24:46 Chuck Hagenbuch Comment #6
State ⇒ Resolved
Reply to this comment
I've done a very small bit of cleanup and committed the patch - thanks!
2005-06-01 20:28:26 ekendall (at) brandeis (dot) edu Comment #5
New Attachment: pi.patch Download
Reply to this comment
OK, I'm using the Javascript notification listener now. I don't know 
how I managed to miss that - I guess because it's not much else is 
using it. It's definitely the preferable method. I also added 
descriptive text and made a few minor formatting changes.
2005-05-30 21:46:46 Chuck Hagenbuch Comment #4
State ⇒ Feedback
Taken from Horde DevelopersHorde Developers
Reply to this comment
You should use the Javascript notification listener for the javascript 
- yes, using bodyClass that way is horrendous. ;). And don't worry 
about translations for now, just make the text descriptiive. It'll 
only go into Horde 3.1, so translators will have time to update.



Other than that, maybe read through horde/docs/CODING_STANDARDS 
quickly, and then let us see what you come up with.
2005-04-26 13:08:12 ekendall (at) brandeis (dot) edu Comment #3
New Attachment: identity.patch Download
Reply to this comment
I understand the issue a little better now than I did when I first filed

the bug. The "None" option is so that you can change just your default

identity without making any preference changes, but it's still a very

confusing interface.



This patch removes the "None" option, adds a button just for changing

the default identity, makes the "which identity to change" select field

have the user's default identity selected, and (the really hard part)

pre-fills all the fields with the appropriate values from the default

identity.



I have no illusions that the patch is suitable to be committed as it

stands. It uses overly generic messages to avoid having to have new

text translated, and the trick I used to get Javascript into the body's

onload attribute is a serious hack. I would welcome any suggestions as

to how to proceed from here.


2005-04-22 07:52:29 Jan Schneider Comment #2
State ⇒ Assigned
Assigned to Horde DevelopersHorde Developers
Reply to this comment
As you already noticed, it's not easy to change the identities UI. The 
reason is that it has been rewritten to use the standard pref widgets 
so that you can easily add items to your identities simply by adding 
them to the identities prefs group. Thus we can't simply change the 
behaviour of some elements, but there is probably still room for 
improvement.
2005-04-21 21:00:28 ekendall (at) brandeis (dot) edu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ "Personal Information" options screen pathological behavior
Queue ⇒ Horde Base
Reply to this comment
By default, the "Personal Information" options screen selects "None" 
as the identity being changed. I'm not sure why "None" is even an 
option, since you can't view or set preferences using it, but the 
larger problem is that it's not obvious that you need to change the 
selection. To a casual viewer, it looks like you can just enter your 
preferences and press "Save Options," and in fact if you do that you 
get a "Your options have been updated" success message when in reality 
the settings you entered have been silently discarded.



Ideally, the "None" option should be removed and the user's default 
identity made the initial selection. Unfortunately, I've been unable 
to create a patch to that effect because while it's trivial to change 
which HTML option is initially selected, the option fields are filled 
by Javascript that's only triggered by the "onchange" attribute of the 
select.



Failing that, the "None" option should be called something like 
"Please select an identity" or "---" and the "Save Options" button 
disabled until a different identity is selected, or at the very least, 
change the "Your options have been updated" message.

Saved Queries